> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getalai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Authentication

Verify that your Bearer token can access the Modern Slides API and confirm the API version before starting a workflow.

```bash theme={null}
curl "https://slides-api.getalai.com/api/modern/v1/ping" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml GET /api/modern/v1/ping
openapi: 3.1.0
info:
  title: Alai API
  description: API endpoints for Alai Classic, Creative, and Modern presentation generation
  version: 1.1.0
servers:
  - url: https://slides-api.getalai.com
security:
  - BearerAuth: []
paths:
  /api/modern/v1/ping:
    get:
      tags:
        - Modern Slides API
      summary: Ping
      operationId: ping_api_modern_v1_ping_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your Alai API key. Get one from your account settings at app.getalai.com

````